#ifndef __main_H 
#define __main_H

#include 	<hs16p2811.h>


#define	_NOP()		asm("NOP")    
#define	CLRWDT()	asm("clrwdt")    
#define	SLEEP()		asm("sleep")    
#define	DAA()		asm("DAA")    
#define	DAS()		asm("DAS")    
#define	INT()		asm("INT")    
#define	CLRA()		asm("CLRA")    
//#define	ACC_0()		asm("MOVLW 0X00");	//ACC=0    
//#define	RETURN()	asm("RETURN"); 

// ******************************************************************
// ****function declaration****//
// ******************************************************************
void GPIO_Init(void);

void System_Init(void);

void CLR_RAM_EveryBank(void);

void DelayUs(unsigned char delayUs);   

void SendDataRF(unsigned char sendData);

void COMP_DeInit(void);
void COMP_nPA1orPA0_pPC0(void);
void COMP_nPA1orPA0or1V25_pCVREF(void);
void COMP_nPA1_pPC0orPC1(void);
void COMP_nPA1_pPA0(void);
void COMP_nPA1_pPA0(void);
void COMP_nPA1_pPC0_outPA2(void);
  
// ******************************************************************

#define		ANSEL		ADPCON

#define 	ANSEL7_PC3		7
#define 	ANSEL6_PC2		6
#define 	ANSEL5_PC1		5
#define 	ANSEL4_PC0		4

#define 	ANSEL3_PA3		3
#define 	ANSEL2_PA2		2
#define 	ANSEL1_PA1		1
#define 	ANSEL0_PA0		0


#endif